Package org.silverpeas.components.gallery.model

# Class MediaSelection

java.lang.Object
org.silverpeas.core.clipboard.ClipboardSelection
org.silverpeas.components.gallery.model.MediaSelection

All Implemented Interfaces:
  `ClipboardOwner`, `Transferable`, `Serializable`

public class MediaSelection extends org.silverpeas.core.clipboard.ClipboardSelection

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DataFlavor`
  `MediaFlavor`

  ### Fields inherited from class org.silverpeas.core.clipboard.ClipboardSelection

  `IndexFlavor, selected, SilverpeasKeyDataFlavor, supportedFlavorsList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediaSelection(Media media)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.silverpeas.core.index.indexing.model.IndexEntry`
  `getIndexEntry()`
  `org.silverpeas.core.clipboard.SilverpeasKeyData`
  `getKeyData()`
  `Object`
  `getTransferData(DataFlavor parFlavor)`

  ### Methods inherited from class org.silverpeas.core.clipboard.ClipboardSelection

  `addFlavor, getTransferDataFlavors, isCut, isDataFlavorSupported, isSelected, lostOwnership, setCut, setSelected`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MediaFlavor

    public static final DataFlavor MediaFlavor

- ## Constructor Details

  - ### MediaSelection

    public MediaSelection(Media media)

- ## Method Details

  - ### getTransferData

    @Nonnull public Object getTransferData(DataFlavor parFlavor) throws UnsupportedFlavorException
    Specified by:
      `getTransferData` in interface `Transferable`
    Overrides:
      `getTransferData` in class `org.silverpeas.core.clipboard.ClipboardSelection`
    Throws:
      `UnsupportedFlavorException`

  - ### getIndexEntry

    public org.silverpeas.core.index.indexing.model.IndexEntry getIndexEntry()
    Specified by:
      `getIndexEntry` in class `org.silverpeas.core.clipboard.ClipboardSelection`

  - ### getKeyData

    public org.silverpeas.core.clipboard.SilverpeasKeyData getKeyData()
    Specified by:
      `getKeyData` in class `org.silverpeas.core.clipboard.ClipboardSelection`